import { EventArgs, Base, Type, Point, INotifyPropertyChanged, DomRenderer, PropertyChangedEventArgs } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { DataTemplate } from "igniteui-react-core/ES5/DataTemplate";
import { Visibility } from "igniteui-react-core/ES5/Visibility";
import { DoubleCollection } from "igniteui-react-core/ES5/DoubleCollection";
import { PenLineCap } from "igniteui-react-core/ES5/PenLineCap";
import { Style } from "igniteui-react-core/ES5/Style";
import { MarkerType } from "./MarkerType";
import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { Series } from "./Series";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeries } from "./CategorySeries";
import { NumericAxisBase } from "./NumericAxisBase";
import { ISupportsMarkers } from "./ISupportsMarkers";
import { CategoryFrame } from "./CategoryFrame";
import { IDetectsCollisions } from "./IDetectsCollisions";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { CategorySeriesView } from "./CategorySeriesView";
import { PointCollection } from "igniteui-react-core/ES5/PointCollection";
import { ObservableCollection$1 } from "igniteui-react-core/ES5/ObservableCollection$1";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { AxisRange } from "./AxisRange";
import { IChartLegend } from "igniteui-react-core/ES5/IChartLegend";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { RenderSurface } from "./RenderSurface";
import { Path } from "igniteui-react-core/ES5/Path";
import { CategoryMode } from "./CategoryMode";
import { DependencyObject } from "igniteui-react-core/ES5/DependencyObject";
import { NumericYAxis } from "./NumericYAxis";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { SeriesViewer } from "./SeriesViewer";
import { IScaler } from "./IScaler";
import { IIsCategoryBased } from "./IIsCategoryBased";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { AnchoredCategoryBucketCalculator } from "./AnchoredCategoryBucketCalculator";
import { SplineSeriesBase } from "./SplineSeriesBase";
import { CollisionAvoider } from "./CollisionAvoider";
import { ICategoryScaler } from "./ICategoryScaler";
import { IBucketizer } from "./IBucketizer";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { IBarSeries } from "./IBarSeries";
import { Color } from "igniteui-react-core/ES5/Color";
import { PropertyUpdatedEventArgs } from "igniteui-react-core/ES5/PropertyUpdatedEventArgs";
import { IProvidesViewport } from "./IProvidesViewport";
import { ISupportsErrorBars } from "./ISupportsErrorBars";
import { ValuesHolder } from "./ValuesHolder";
import { PreparationParams } from "./PreparationParams";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Canvas } from "igniteui-react-core/ES5/Canvas";
import { Panel } from "igniteui-react-core/ES5/Panel";
/**
 * @hidden
 */
export declare class StackedSeriesCreatedEventArgs extends EventArgs {
    static $t: Type;
    constructor(a: StackedFragmentSeries);
    c: StackedFragmentSeries;
    brush: Brush;
    legendItemTemplate: DataTemplate;
    legendItemBadgeTemplate: DataTemplate;
    legendItemVisibility: Visibility;
    outline: Brush;
    dashArray: DoubleCollection;
    dashCap: PenLineCap;
    readonly index: number;
    thickness: number;
    title: any;
    markerBrush: Brush;
    markerOutline: Brush;
    markerStyle: Style;
    markerTemplate: DataTemplate;
    markerType: MarkerType;
    startCap: PenLineCap;
    endCap: PenLineCap;
}
/**
 * @hidden
 */
export declare abstract class FragmentBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    constructor();
    qa: CategoryLineRasterizer;
    private _logicalSeriesLink;
    logicalSeriesLink: StackedFragmentSeries;
    private qc;
    parentSeries: StackedSeriesBase;
    protected get_cv(): boolean;
    protected get_cq(): boolean;
    protected get_cs(): boolean;
    e4(): number;
    e8(): number;
    resolveLegendIndex(): number;
    a6(): Series;
    mz(): CategoryAxisBase;
    nj(): NumericAxisBase;
    qe(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    oe(a: CategoryFrame, b: CategorySeriesView): void;
    qg(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    o0(a: CategorySeriesView): number;
    an(a: Axis): AxisRange;
    qf(): number;
    qh(a: IChartLegend): void;
    protected is(a: any, b: string, c: any, d: any): void;
    i8(a: Rect, b: RenderSurface): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class AreaFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    qi: AreaFragmentView;
    im(a: SeriesView): void;
    protected get_ck(): boolean;
    protected qk(a: Point, b: boolean): boolean;
    dg(a: Point, b: boolean): boolean;
    private qj;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    jg(): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class ColumnFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    qj: ColumnFragmentView;
    im(a: SeriesView): void;
    qm: number;
    qn: number;
    readonly fragmentXAxis: CategoryAxisBase;
    readonly fragmentYAxis: NumericAxisBase;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    mz(): CategoryAxisBase;
    nj(): NumericAxisBase;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    hp(a: boolean, b: SeriesView): void;
    an(a: Axis): AxisRange;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    ds(): boolean;
    n0(a: SeriesView): number;
    n1(a: SeriesView): number;
    ln(a: Point): Rect;
    dg(a: Point, b: boolean): boolean;
    protected dj(a: Point, b: boolean): boolean;
    protected qs(a: Rect, b: number): Rect;
    fq(a: any, b: Point): any;
    fm(a: Point): any;
    e7(a: Point): number;
    e5(a: Point): number;
    qe(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    private ql;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    oe(a: CategoryFrame, b: CategorySeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    protected is(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarFragment extends ColumnFragment {
    static $t: Type;
    constructor();
    readonly barFragmentXAxis: NumericXAxis;
    readonly barFragmentYAxis: CategoryYAxis;
    mz(): CategoryAxisBase;
    d8(a: Point): number;
    nj(): NumericAxisBase;
    protected qs(a: Rect, b: number): Rect;
    ln(a: Point): Rect;
    dg(a: Point, b: boolean): boolean;
    qe(a: ISupportsMarkers, b: CategoryFrame, c: number[], d: IDetectsCollisions, e: number, f: number, g: number, h: number): boolean;
    fm(a: Point): any;
    e7(a: Point): number;
    o0(a: CategorySeriesView): number;
    protected is(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class LineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class SplineFragmentBucketCalculator extends AnchoredCategoryBucketCalculator {
    static $t: Type;
    constructor(a: AnchoredCategorySeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class StackedBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedBarBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    g(a: number): void;
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class StackedColumnBucketCalculator extends StackedBucketCalculator {
    static $t: Type;
    constructor(a: CategorySeriesView);
    getBucket(a: number): number[];
    getBucket1(a: AnchoredCategorySeries, b: number, c: number, d: Rect, e: Rect, f: CategoryFrame): number[];
}
/**
 * @hidden
 */
export declare class LineFragment extends FragmentBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    qi: LineFragmentView;
    im(a: SeriesView): void;
    protected qk(a: Point, b: boolean): boolean;
    protected get_ck(): boolean;
    dg(a: Point, b: boolean): boolean;
    private qj;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare abstract class SplineFragmentBase extends SplineSeriesBase {
    static $t: Type;
    private _logicalSeriesLink;
    logicalSeriesLink: StackedFragmentSeries;
    qk: CategoryLineRasterizer;
    constructor();
    private qm;
    parentSeries: StackedSeriesBase;
    protected get_cq(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_cs(): boolean;
    e4(): number;
    resolveLegendIndex(): number;
    e8(): number;
    a6(): Series;
    qd(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    an(a: Axis): AxisRange;
    qo(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericYAxis, f: CategorySeriesView): void;
    oe(a: CategoryFrame, b: CategorySeriesView): void;
    protected is(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineAreaFragment extends SplineFragmentBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    private qp;
    ac(): void;
    protected get_ck(): boolean;
    protected qr(a: Point, b: boolean): boolean;
    dg(a: Point, b: boolean): boolean;
    private qq;
    qt: PointCollection;
    hp(a: boolean, b: SeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    i8(a: Rect, b: RenderSurface): void;
    qs(a: PointCollection, b: List$1<number[]>, c: CategorySeriesView): void;
    o0(a: CategorySeriesView): number;
    jg(): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineFragment extends SplineFragmentBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    qp: SplineFragmentView;
    im(a: SeriesView): void;
    protected qr(a: Point, b: boolean): boolean;
    protected get_ck(): boolean;
    dg(a: Point, b: boolean): boolean;
    private qq;
    hp(a: boolean, b: SeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare abstract class StackedSeriesBase extends CategorySeries implements IIsCategoryBased {
    static $t: Type;
    constructor();
    protected get_cv(): boolean;
    getHostReferenceValue(): number;
    protected bf(): SeriesView;
    ox: StackedSeriesView;
    im(a: SeriesView): void;
    io(a: Rect, b: Rect): void;
    private _series;
    series: StackedSeriesCollection;
    fd(): number;
    h1(a: (arg1: Series) => boolean): void;
    oy: boolean;
    oz: boolean;
    protected get_isStacked(): boolean;
    seriesCreated: (sender: any, e: StackedSeriesCreatedEventArgs) => void;
    pm: Visibility;
    o5: number;
    o4: number;
    oo: number[];
    op: number[];
    ow: StackedSeriesManager;
    ot: StackedSeriesCollection;
    readonly os: StackedSeriesCollection;
    private pb;
    private ph;
    private pg;
    jd(a: Point): void;
    m5(a: CategorySeriesView): CategoryFramePreparer;
    oe(a: CategoryFrame, b: CategorySeriesView): void;
    hp(a: boolean, b: SeriesView): void;
    pc(): void;
    pi(): void;
    c8(a: any): boolean;
    an(a: Axis): AxisRange;
    lw(): boolean;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    or(): CategorySeriesView;
    o2(): number;
    o3(): number;
    o7(a: StackedFragmentSeries): number;
    o6(a: Point): number;
    o0(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    private o1;
    pd(): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    pf(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected pe(): void;
    protected is(a: any, b: string, c: any, d: any): void;
    readonly currentCategoryMode: CategoryMode;
    readonly scaler: ICategoryScaler;
    readonly yScaler: IScaler;
    readonly bucketizer: IBucketizer;
    readonly currentMode2Index: number;
    provideCollisionDetector(): IDetectsCollisions;
    protected db(): boolean;
    protected get_cq(): boolean;
    i8(a: Rect, b: RenderSurface): void;
    oq: CategoryFrame;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    fl(): any;
    readonly mayContainUnknowns: boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class HorizontalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    ag(): Axis[];
    nu(): boolean;
    jg(): void;
    protected is(a: any, b: string, c: any, d: any): void;
    pq(a: any): boolean;
    pp(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    an(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare abstract class VerticalStackedSeriesBase extends StackedSeriesBase {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    mz(): CategoryAxisBase;
    nj(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_isVertical(): boolean;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    nu(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    pq(a: any): boolean;
    pp(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedBarSeries extends VerticalStackedSeriesBase implements IIsCategoryBased, IBarSeries {
    static $t: Type;
    constructor();
    ac(): void;
    protected bf(): SeriesView;
    pv: StackedBarSeriesView;
    im(a: SeriesView): void;
    pw: number;
    px: number;
    getHostReferenceValue(): number;
    or(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    n2(): number;
    o2(): number;
    o3(): number;
    an(a: Axis): AxisRange;
    c8(a: any): boolean;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    e5(a: Point): number;
    fm(a: Point): any;
    pi(): void;
    o6(a: Point): number;
    o0(a: AnchoredCategorySeries, b: Rect, c: Rect, d: SeriesView): boolean;
    ed(): number;
    pf(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected is(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    readonly currentCategoryMode: CategoryMode;
    readonly scaler: ICategoryScaler;
    readonly yScaler: IScaler;
    readonly mayContainUnknowns: boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedColumnSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    pv: StackedColumnSeriesView;
    im(a: SeriesView): void;
    pw: number;
    px: number;
    or(): CategorySeriesView;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    an(a: Axis): AxisRange;
    ed(): number;
    pf(a: AnchoredCategorySeries, b: CategoryFrame, c: CategorySeriesView): void;
    protected is(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedLineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    an(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedSplineAreaSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    an(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedSplineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    constructor();
    ac(): void;
    an(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StackedFragmentSeries extends DependencyObject implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    fu: Brush;
    fp: Brush;
    f3: DoubleCollection;
    f2: DoubleCollection;
    f7: PenLineCap;
    f4: PenLineCap;
    w: boolean;
    private q;
    s: boolean;
    aq: number;
    ai: number;
    f1: Color;
    f0: Color;
    aa: boolean;
    private r;
    v: boolean;
    ar: number;
    aj: number;
    as: number;
    ak: number;
    f8: PenLineCap;
    f5: PenLineCap;
    x: boolean;
    t: boolean;
    du: DataTemplate;
    dr: DataTemplate;
    dv: DataTemplate;
    ds: DataTemplate;
    ge: Visibility;
    gc: Visibility;
    fv: Brush;
    fq: Brush;
    fw: Brush;
    fr: Brush;
    gb: Style;
    ga: Style;
    dw: DataTemplate;
    dt: DataTemplate;
    l: MarkerType;
    k: MarkerType;
    b8: string;
    an: number;
    af: number;
    fx: Brush;
    fs: Brush;
    fy: Brush;
    ft: Brush;
    am: number;
    ae: number;
    ao: number;
    ag: number;
    ap: number;
    ah: number;
    f9: PenLineCap;
    f6: PenLineCap;
    at: number;
    al: number;
    ax: any;
    ay: any;
    aw: any;
    z: boolean;
    u: boolean;
    cq: string;
    gf: Visibility;
    gd: Visibility;
    private _parentSeries;
    parentSeries: StackedSeriesBase;
    av: number;
    o: SeriesViewer;
    p: IFastItemColumn$1<number>;
    private _visualSeriesLink;
    visualSeriesLink: AnchoredCategorySeries;
    ac: List$1<number>;
    ad: List$1<number>;
    ab: List$1<number[]>;
    y: boolean;
    au: DomRenderer;
    provideRenderer(a: DomRenderer): void;
    fz: Brush;
    dq(): void;
    c9(): void;
    da(): void;
    cx(): void;
    cy(): void;
    cz(): void;
    c1(): void;
    dg(): void;
    dh(): void;
    dp(): void;
    di(): void;
    dj(): void;
    c0(): void;
    c2(): void;
    c3(): void;
    c4(): void;
    c5(): void;
    c6(): void;
    c7(): void;
    c8(): void;
    db(): void;
    dc(): void;
    dd(): void;
    cw(): void;
    de(): void;
    df(): void;
    dk(): void;
    dl(): void;
    dm(): void;
    dn(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected cv(a: string, b: any, c: any): void;
    protected ct(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StackedSeriesCollection extends ObservableCollection$1<StackedFragmentSeries> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesFramePreparer extends CategoryFramePreparer {
    static $t: Type;
    constructor(a: number, b: IIsCategoryBased);
    constructor(a: number, b: IIsCategoryBased, c: ISupportsMarkers, d: IProvidesViewport, e: ISupportsErrorBars, f: IBucketizer);
    constructor(a: number, ..._rest: any[]);
    protected j(a: PreparationParams): ValuesHolder;
    protected t(a: PreparationParams, b: ValuesHolder, c: number, d: boolean, e: boolean): number;
    protected l(a: CategoryFrame, b: number[], c: IDetectsCollisions, d: number, e: number, f: number): boolean;
}
/**
 * @hidden
 */
export declare class AreaFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    c6: AreaFragment;
    ap(): void;
    constructor(a: AreaFragment);
    c8: Path;
    da: Path;
    c9: Path;
    db: Path;
    c7(): void;
    co(): CategoryBucketCalculator;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    ai(a: any): void;
}
/**
 * @hidden
 */
export declare class ColumnFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    c6: ColumnFragment;
    ap(): void;
    constructor(a: ColumnFragment);
    protected da: List$1<Rectangle>;
    c7: Pool$1<Rectangle>;
    c8: List$1<number>;
    c9: List$1<number>;
    private df;
    private db;
    private dd;
    private dc;
    protected bb(a: any, b: number): void;
    de(a: Rectangle, b: number, c: number): void;
    protected bc(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    ai(a: any): void;
    getDefaultTooltipTemplate(): string;
}
/**
 * @hidden
 */
export declare class LineFragmentView extends AnchoredCategorySeriesView {
    static $t: Type;
    c6: LineFragment;
    constructor(a: LineFragment);
    c9: Path;
    c8: Path;
    da: Path;
    c7(): void;
    co(): CategoryBucketCalculator;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    ai(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineAreaFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    private c7;
    ap(): void;
    constructor(a: SplineAreaFragment);
    c9: Path;
    db: Path;
    da: Path;
    dc: Path;
    c8(): void;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    ai(a: any): void;
}
/**
 * @hidden
 */
export declare class SplineFragmentView extends SplineSeriesBaseView {
    static $t: Type;
    c7: SplineFragment;
    constructor(a: SplineFragment);
    co(): CategoryBucketCalculator;
    da: Path;
    c9: Path;
    db: Path;
    c8(): void;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    protected get_index(): number;
    ai(a: any): void;
}
/**
 * @hidden
 */
export declare class StackedSeriesView extends CategorySeriesView {
    static $t: Type;
    cw: StackedSeriesBase;
    private readonly cx;
    readonly cy: Canvas;
    private readonly cz;
    readonly c0: Panel;
    constructor(a: StackedSeriesBase);
    co(): CategoryBucketCalculator;
    am(): void;
    ao(a: RenderingContext, b: RenderingContext): void;
    protected ac(): void;
}
/**
 * @hidden
 */
export declare class StackedBarSeriesView extends StackedSeriesView {
    static $t: Type;
    c1: StackedBarSeries;
    constructor(a: StackedBarSeries);
    co(): CategoryBucketCalculator;
}
/**
 * @hidden
 */
export declare class StackedColumnSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedColumnSeries);
    co(): CategoryBucketCalculator;
}
/**
 * @hidden
 */
export declare class StackedSeriesManager extends Base {
    static $t: Type;
    constructor(a: StackedSeriesBase);
    b: StackedSeriesBase;
    f: ObservableCollection$1<AnchoredCategorySeries>;
    c: StackedSeriesCollection;
    e: ObservableCollection$1<AnchoredCategorySeries>;
    d: ObservableCollection$1<AnchoredCategorySeries>;
    j: Canvas;
    k: Panel;
    a(a: StackedFragmentSeries): AnchoredCategorySeries;
    private i;
    h(): void;
    private g;
}
